function game(){
    ctx.clearRect(0, 0, canvas.width, canvas.height);
    if(status == "main"){
        main();
    }else if(status == "help"){
        help();
    }else if(status == 'setting'){
        setting();
    }else if(status == 'level'){
        levelMenu();
    }else{
        if(modeSelecting){
            modeSelect();
        }
        if(start){
            star = new Star();
            block = new Block();
            draw.level[status]();
            start = !start;
        }
        star.draw();
        ball.draw();
        block.draw();
        if(end){
            endMenu();
        }
    }
    window.requestAnimationFrame(game);
}

addEventListener("keydown", downListener, false);
addEventListener("keyup", upListener, false);

window.requestAnimationFrame = window.requestAnimationFrame
    || window.mozRequestAnimationFrame
    || window.webkitRequestAnimationFrame
    || window.msRequestAnimationFrame
    || function(f){return setTimeout(f, 1000/60)}
window.requestAnimationFrame(game);